Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6613 - identd -l option no longer logs the remote host
Summary: identd -l option no longer logs the remote host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pidentd
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-01 21:28 UTC by culliton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-16 19:42:51 UTC


Attachments (Terms of Use)

Description culliton 1999-11-01 21:28:01 UTC
identd's -l option no longer logs the host which has
contacted it. While identd is a small eough program to be
"safe" I still want a log of who's querying the system.
(All TCP connections should be loggable for security
auditing purposes.) I would at least recommend changing the
entry in /etc/inetd.conf to read:

auth   stream  tcp     nowait    nobody    /usr/sbin/tcpd
in.identd -l -e -o

So that tcpd can log the host id for you.

Comment 1 Chris Siebenmann 1999-11-02 08:02:59 UTC
Using tcpd to log things may cause an identd loop if each side has
a tcpd-wrapped identd, and each side is configured to do identd
lookups in tcpd.

Comment 2 Chuck Powell 1999-11-03 05:18:59 UTC
Try removing the '-l' switch from the auth entry in /etc/inetd.conf
and uncomment the 'result:syslog-level =' entry in /etc/identd.conf
and set it's value to 'info'.
	#-- Log all request replies to syslog (none == don't)
	result:syslog-level = info

Comment 3 culliton 1999-11-12 07:11:59 UTC
Suggested configuration change works.  The documentation and comments in config
file could be clearer about use of syslog-level.  As it stands it's not
immediately obvious that setting it to a value other than none enables
additional logging rather than just "redirecting" the basic log messages.
Close this or reassign it for documentation at your discretion.

Comment 4 culliton 1999-12-16 19:42:59 UTC
This one ends up being a "the default behaviour changed and the documentation
could use some clarification" problem.  Otherwise the suggestions above have
resolved the problem.


Note You need to log in before you can comment on or make changes to this bug.